支援下列升級路徑和案例。

可升級至 VMware Identity Manager 3.3.1 的 VMware 產品

  • 用於驗證和 SSO 的 vRealize 產品,例如 vRA、vRSLCM、vROps、vRB、vRLI 和 vRNI
    • 透過 vRSLCM 部署和管理的 vRealize 產品只能取用 VMware Identity Manager 3.3.1。
    • vRLCM 現在會處理 VMware Identity Manager 3.3.1 的全新安裝,或從舊版的 VMware Identity Manager 升級至 3.3.1。
  • 用於驗證和 SSO 的 NSX-T
    • NSX-T 可以使用 VMware Identity Manager 3.3.1 進行部署,也可以從舊版升級至 3.3.1。

網際網路連線

您可以在線上或離線升級 VMware Identity Manager

依預設,VMware Identity Manager 應用裝置會使用 VMware 網站進行升級程序。這需要應用裝置連線至網際網路。您也必須設定應用裝置的 Proxy 伺服器設定 (如果適用)。

如果您的虛擬應用裝置沒有網際網路連線,您可以離線執行升級。若要進行離線升級,您需要從 My VMware 下載升級套件。您可以使用 updateoffline.hzn 指令碼來執行升級。

升級案例

  • 如果您部署了單一 VMware Identity Manager 應用裝置,請如線上升級 VMware Identity Manager離線升級 VMware Identity Manager 中所述,在線上或離線將它升級。
    備註: 預期會有一些停機時間,因為升級期間所有服務均會停止。請根據需要規劃您的升級時間。
  • 如果已在叢集中針對容錯移轉或高可用性部署多個 VMware Identity Manager 虛擬應用裝置,請參閱升級叢集

資料庫需求

您可以使用內部 PostgreSQL 資料庫或外部 Microsoft SQL 資料庫。這兩個選項都可提供高可用性。

若要使用內部 PostgreSQL 資料庫來取得高可用性,則必須使用 vRealize Suite Lifecycle Manager。請參閱《vRealize Suite Lifecycle Manager 8.1 安裝、升級和管理》指南。

對於外部 Microsoft SQL 資料庫組態,請參閱 3.3 版《安裝和設定 Linux 版 VMware Identity Manager》指南。